OpenCL Development Tool

Add this URL to your Eclipse Installation to reach this solution's update site.

Mars (4.5)
Luna (4.4)
Kepler (4.3)
Juno (4.2, 3.8)
Previous to Juno (<=4.1)
Neon (4.6)
Oxygen (4.7)


Learn more...

Details Group Tabs

msousamlk's picture

I did not work for me in Eclipse 4.6 and 4.7, but worked in Luna Service Release 2 (4.4.2). I did not try 4.5.

mcosta6hu's picture

Gives the error:
"Cannot complete the install because some dependencies are not satisfiable
hu.ngms.opencl.feature.feature.group [1.0.0] cannot be installed in this environment because its filter is not applicable."

Version: Neon.1 Release (4.6.1)
Build id: 20160913-0900
MacBook Pro Early 2015
OS X 10.11.6

psatalkar's picture

While installing in openCL in eclipse 4.5.2 through eclipse Marketplace I am getting error as "Cannot complete the install because some dependencies are not satisfiable
hu.ngms.opencl.feature.feature.group [1.0.0] cannot be installed in this environment because its filter is not applicable." Please give solution for it.

jvogelxg1's picture

Exactly what I was looking for: OpenCL files (*.cl) within Java projects can be opened within Eclipse using this tool, and syntax highlighting works. Perfect. Many thanks!

msousamlk's picture

What eclipse and version are you using?

vbecker's picture

Maybe i missed something. I installed the OpenCL Dev. Tool to Eclipse 4.5.0 without any problem, but i cant figure out how tu use it. There ist no wizard for new opencl projects, i found nothing opencl related stuff. How do i use the the developement tool?

zmatyas's picture

What is the eclipse version you tried to install for? Have you looked among wizards?

vbecker's picture

The eclipse Version is:
Version: Mars Release (4.5.0)
Build id: 20150621-1200
installed in ubuntu 15.0x (64 Bit)

I searched among wizards. (File->new->others), i searched under C/C++ and in other fields, but found nothing openCL related things.